Summary:	SASL Tcl extension
Summary(pl.UTF-8):	Rozszerzenie SASL dla Tcl
Name:		tclsasl
Version:	1.0
Release:	10
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://beepcore-tcl.sourceforge.net/%{name}-%{version}.tgz
# Source0-md5:	6d8cc2bd31d9d41a999a72817308d165
Patch0:		%{name}-CFLAGS.patch
Patch1:		%{name}-automake.patch
Patch2:		%{name}-DESTDIR.patch
URL:		http://beepcore-tcl.sourceforge.net/tclsasl.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	cyrus-sasl-sasldb >= 2.0
BuildRequires:	libtool
BuildRequires:	tcl-devel >= 8.3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcl SASL provides a Tcl interface to the Cyrus SASLv2 library.

%description -l pl.UTF-8
Tcl SASL udostępnia interfejs Tcl-a do biblioteki Cyrus SASLv2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f config/missing
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__automake}
%configure

%{__make} \
	LIB_SASL="-lsasl -R %{_libdir}/sasl2 -L%{_libdir}/sasl2 -lsasldb"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

# TCL_PACKAGE_PATH is /usr/lib for all archs
rm $RPM_BUILD_ROOT/sasl-*/*.{html,tcl}
rm $RPM_BUILD_ROOT%{_prefix}/lib/*.{html,tcl}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS doc/tclsasl.html
%{_libdir}/*.la
%attr(755,root,root)  %{_libdir}/*.so.*
%attr(755,root,root)  %{_libdir}/*.so
%changelog
* Tue Jul 07 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/tclsasl.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 67cc317
- x32 rebuild
- release 10 (by relup.sh)

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> ca239ff
- cp-friendly url

* Sat May 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 102f72f
- rel 9; fix linking

* Sat May 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0275482
- release 8 (by relup.sh)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 1914dc7
- release 7 (by relup.sh)

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 6538201
- release 6

* Mon Nov 03 2008 duddits <duddits@pld-linux.org> 45c855d
- version typo

* Mon Nov 03 2008 duddits <duddits@pld-linux.org> 1e28b9a
- rel. 5
- fix paths
- tuneups in %files

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c15fb
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 39cec35
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6ec36b2
- converted to UTF-8

* Sat Dec 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 841c34d
- fix amd64 build

* Sat Dec 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a03c29
- amd64 fix

* Thu Nov 04 2004 ankry <ankry@pld-linux.org> d48c829
- OOPS

* Thu Nov 04 2004 ankry <ankry@pld-linux.org> 3457830
- once again

* Thu Nov 04 2004 ankry <ankry@pld-linux.org> ecb0592
- hopefully finally fixed amd64 build, rel. 2

* Thu Nov 04 2004 ankry <ankry@pld-linux.org> d8d0dff
- attempt to fix amd64 build

* Mon Dec 15 2003 Jacek Konieczny <jajcus@pld-linux.org> beb51c4
- missing library added

* Mon Jun 16 2003 Jakub Bogusz <qboosh@pld-linux.org> 90e2676
- more verbose file list, BR: cyrus-sasl-sasldb

* Fri Jun 13 2003 Jakub Bogusz <qboosh@pld-linux.org> 40d3efa
- sasl2 required (not openssl)

